Announcement

Collapse
No announcement yet.

TomTom 5.2 maps

Collapse
This topic is closed.
X
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • TomTom 5.2 maps

    Which maps are compatible with my "old" mobile Smartphone HTC spv c500?

    I have installed TT5.2 which type has never been referenced on this site.
    Is this type/software outdated or?
    My latest maps are from 2007.

    Freeck

  • #2
    Re: TomTom 5.2 maps

    Perhaps my shortcoming but I do not understand what you state:
    - what do you mean by "already under TT 5" ? TT5 is an old Tomtom version on my gsm phone with OS Window Pocket PC, and cannot be replaced with the latest OS
    - what do you mean by "Tom tom 7"

    My latest maps are from 2007. The question remains: what are the latest maps for this configuration?

    Comment


    • #3
      Re: TomTom 5.2 maps

      Originally posted by freeck View Post
      Perhaps my shortcoming but I do not understand what you state:
      - what do you mean by "already under TT 5" ? TT5 is an old Tomtom version on my gsm phone with OS Window Pocket PC, and cannot be replaced with the latest OS
      - what do you mean by "Tom tom 7"

      My latest maps are from 2007. The question remains: what are the latest maps for this configuration?
      You will need to Update your Phone with TT7, as TT5 does not support newer maps.

      Comment

      Working...
      X